//
//  {{ module_info.name }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

class {{ module_info.name }}Presenter: BasePresenter, {{ module_info.name }}ModuleInputProtocol, {{ module_info.name }}ViewOutputProtocol {

    weak var view: {{ module_info.name }}ViewInputProtocol!
    var interactor: {{ module_info.name }}InteractorProtocol!
    var router: {{ module_info.name }}RouterProtocol!
    var output: {{ module_info.name }}ModuleOutputProtocol!

}
